Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 2630)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 2631)
@@ -455,16 +455,16 @@
 	@Override
 	public boolean _compute(TXMProgressMonitor monitor) throws Exception {
 		
-		monitor.monitorSetTask(props.getComputingStartMessage());
+		monitor.setTask(props.getComputingStartMessage());
 		
 		this.stepGeneralInfos();
-		monitor.monitorSetWorked(34);
+		monitor.worked(34);
 		
 		this.stepLexicalProperties();
-		monitor.monitorSetWorked(33);
+		monitor.worked(33);
 		
 		this.stepStructuralUnits();
-		monitor.monitorSetWorked(33);
+		monitor.worked(33);
 		
 		return true;
 	}
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 2630)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 2631)
@@ -261,7 +261,7 @@
 		// FIXME: debug
 		// System.out.println("cooc: "+corpus+" "+query+" "+properties+" "+limit+" "+maxLeft+" "+minLeft+" "+minRight+" "+maxRight+" "+minFreq+" "+minCof+" "+minScore+" "+includeXpivot);
 		
-		monitor.monitorSetTask(CooccurrenceCoreMessages.info_buildingQueries);
+		monitor.setTask(CooccurrenceCoreMessages.info_buildingQueries);
 		
 		// clear data
 		try {
@@ -285,37 +285,37 @@
 			return false;
 		}
 		
-		monitor.monitorSetTask(CooccurrenceCoreMessages.info_retreivingMatches);
+		monitor.setTask(CooccurrenceCoreMessages.info_retreivingMatches);
 		if (!this.stepGetMatches()) {
 			return false;
 		}
-		monitor.monitorSetWorked(20);
+		monitor.worked(20);
 		
-		monitor.monitorSetTask(CooccurrenceCoreMessages.info_buildingLineSignatures);
+		monitor.setTask(CooccurrenceCoreMessages.info_buildingLineSignatures);
 		if (!this.stepBuildSignatures()) {
 			return false;
 		}
-		monitor.monitorSetWorked(20);
+		monitor.worked(20);
 		
-		monitor.monitorSetTask(CooccurrenceCoreMessages.info_counting);
+		monitor.setTask(CooccurrenceCoreMessages.info_counting);
 		if (!this.stepCount()) {
 			return false;
 		}
-		monitor.monitorSetWorked(20);
+		monitor.worked(20);
 		
-		monitor.monitorSetTask(CooccurrenceCoreMessages.info_buildingLexicalTable);
+		monitor.setTask(CooccurrenceCoreMessages.info_buildingLexicalTable);
 		if (!this.stepBuildLexicalTable(monitor)) {
 			return false;
 		}
-		monitor.monitorSetWorked(10);
+		monitor.worked(10);
 		
-		monitor.monitorSetTask(CooccurrenceCoreMessages.info_computingSpecificitiesScores);
+		monitor.setTask(CooccurrenceCoreMessages.info_computingSpecificitiesScores);
 		if (!this.stepGetScores()) {
 			return false;
 		}
 		
 		this.clearMemory();
-		monitor.monitorDone();
+		monitor.done();
 		
 		return true;
 	}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2630)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2631)
@@ -190,18 +190,18 @@
 		}
 		// }
 		this.filterLines();
-		monitor.monitorSetWorked(30);
+		monitor.worked(30);
 		
-		monitor.monitorSetTask("Sorting...");
+		monitor.setTask("Sorting...");
 		this.sortLines(SortMode.FREQUNIT, true);
-		monitor.monitorSetWorked(30);
+		monitor.worked(30);
 		
 		this.cut();
 		
 		this.dirty = false;
 		this.pTopIndex = 0;
 		
-		monitor.monitorSetTask("Index done.");
+		monitor.setTask("Index done.");
 		
 		return true;
 	}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 2630)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 2631)
@@ -197,7 +197,7 @@
 	protected boolean computeWithMainCorpus(MainCorpus corpus, Property property, TXMProgressMonitor monitor) throws CqiClientException {
 		// System.out.println("in "+this.getCqpId()+" look for cached lexicon "+property);
 		// System.out.println("not found");
-		monitor.monitorSetTask("Computing lexicon size...");
+		monitor.setTask("Computing lexicon size...");
 		Log.finest(IndexCoreMessages.lexicon + corpus.getID());
 		int lexiconSize;
 		try {
@@ -214,7 +214,7 @@
 		
 		int[] freqs;
 		try {
-			monitor.monitorSetTask("Computing lexicon frequencies...");
+			monitor.setTask("Computing lexicon frequencies...");
 			freqs = CorpusManager.getCorpusManager().getCqiClient().id2Freq(property.getQualifiedName(), ids);
 		}
 		catch (Exception e) {
@@ -247,7 +247,7 @@
 		int[][] fdist = null;
 		Subcorpus tmp = null;
 		try {
-			monitor.monitorSetTask("Computing lexicon frequencies...");
+			monitor.setTask("Computing lexicon frequencies...");
 			tmp = corpus.createSubcorpus(new CQLQuery("[]"), "S" + corpus.getNextSubcorpusCounter(), true); //$NON-NLS-1$
 			if (tmp != null) {
 				fdist = CorpusManager.getCorpusManager().getCqiClient().fdist1(tmp.getQualifiedCqpId(), 0, ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 2630)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 2631)
@@ -109,7 +109,7 @@
 			currentpartid++;
 		}
 		
-		monitor.monitorSetWorked(30);
+		monitor.worked(30);
 		
 		setLineCounts();
 		
@@ -118,20 +118,20 @@
 		this.filterLines();
 		
 		
-		monitor.monitorSetWorked(30);
+		monitor.worked(30);
 		
-		monitor.monitorSetTask("Sorting...");
+		monitor.setTask("Sorting...");
 		
 		this.sortLines(SortMode.FREQUNIT, true);
 		
 		this.cut();
 		
-		monitor.monitorSetWorked(30);
+		monitor.worked(30);
 		
 		this.dirty = false;
 		this.pTopIndex = 0;
 		
-		monitor.monitorSetTask("Index done.");
+		monitor.setTask("Index done.");
 		
 		return true;
 	}
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 2630)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 2631)
@@ -128,7 +128,7 @@
 	 */
 	protected boolean __compute(TXMProgressMonitor monitor) {
 		
-		monitor.monitorSetTask("Computing balance with metadata propertyName = " + this.structuralUnitProperty + ", structural unit = " + this.structuralUnit.getName() + " and groupByTexts = " + this.countTexts); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		monitor.setTask("Computing balance with metadata propertyName = " + this.structuralUnitProperty + ", structural unit = " + this.structuralUnit.getName() + " and groupByTexts = " + this.countTexts); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		try {
 			this.dataset = new HashMap<Integer, Comparable[]>();
 			
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java	(revision 2630)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java	(revision 2631)
@@ -77,14 +77,14 @@
 	public boolean _compute(TXMProgressMonitor monitor) throws Exception {
 		coocs = new int[queries.size()][queries.size()];
 		
-		monitor.monitorSetTask("Querying cooccurrences...");
-		monitor.monitorSetWorkRemaining(nNodes);
+		monitor.setTask("Querying cooccurrences...");
+		monitor.setWorkRemaining(nNodes);
 		
 		for (int i = 0; i < queries.size(); i++) {
 			int j = i;
 			if (oriented) j = 0; // if the graph is not oriented, we don't need to evaluate all queries
 			for (; j < queries.size(); j++) {
-				monitor.monitorSetWorked(1);
+				monitor.worked(1);
 				String query = null;
 				if (oriented) {
 					query = "(" + queries.get(i) + "[]{0," + dist + "}" + queries.get(j) + ") " + this.struct;
@@ -112,7 +112,7 @@
 			coocs[j][i] = coocs[i][j];
 			}
 			}
-		monitor.monitorDone();
+		monitor.done();
 		
 		return true;
 	}
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 2630)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 2631)
@@ -165,7 +165,7 @@
 		reader.close();
 		
 		System.out.println("Number of query lines: " + lines.size());
-		monitor.monitorSetTask("Querying...");
+		monitor.setTask("Querying...");
 		
 		for (String line : lines) {
 			String[] split = line.split("=", 2); //$NON-NLS-1$
@@ -177,7 +177,7 @@
 					if (addLine(split[0], new CQLQuery(split[1])) == null) {
 						System.out.println(TXMCoreMessages.bind(TXMCoreMessages.warningColonQueryFailedColonP0, line));
 					}
-					monitor.monitorSetWorked(1);
+					monitor.worked(1);
 				}
 			}
 		}
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 2630)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 2631)
@@ -84,7 +84,7 @@
 			keywordFileReader.close();
 			System.out.println("Number of keywords lines: " + keywordLines.size());
 			System.out.println("context left and right size is: " + contextSize);
-			monitor.monitorSetTask("Querying keywords...");
+			monitor.setTask("Querying keywords...");
 			
 			int nkeyword = 0;
 			for (String line : keywordLines) {
@@ -94,13 +94,13 @@
 					keywordQueriestoName.put(split[1], split[0]);
 					results.add(corpus.query(q, "K" + nkeyword++, false));
 				}
-				monitor.monitorSetWorked(1);
+				monitor.worked(1);
 			}
 			keywordFileReader.close();
 			
 			// Loop over QueryResult to Merge them into one subcorpus
 			int n = 0;
-			monitor.monitorSetTask("Creating subcorpus...");
+			monitor.setTask("Creating subcorpus...");
 			while (results.size() > 1) {
 				
 				QueryResult q1 = results.get(0);
@@ -113,7 +113,7 @@
 				results.remove(0);
 				results.remove(0);
 				results.add(new QueryResult(merge_name, merge_name, corpus, null));
-				monitor.monitorSetWorked(1);
+				monitor.worked(1);
 			}
 			
 			System.out.println("Done.");
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java	(revision 2630)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java	(revision 2631)
@@ -52,7 +52,7 @@
 		
 		if (!(CQPSearchEngine.getCqiClient() instanceof MemCqiClient)) return false;
 		
-		monitor.monitorSetTask("Start querying...");
+		monitor.setTask("Start querying...");
 		
 		File file = File.createTempFile("query", ".txt");
 		// ExecTimer t = new ExecTimer();
@@ -65,7 +65,7 @@
 		cli.query("group " + result.getQualifiedCqpId() + " match " + prop.getName() + " > \"" + file + "\";");
 		// System.out.println("query done"+t.stop());t.start();
 		
-		monitor.monitorSetWorked(50);
+		monitor.worked(50);
 		
 		if (!file.exists()) return false;
 		
@@ -102,7 +102,7 @@
 				break;
 			}
 			line = reader.readLine();
-			monitor.monitorSetWorked(1);
+			monitor.worked(1);
 		}
 		reader.close();
 		writer.close();
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 2630)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 2631)
@@ -209,7 +209,7 @@
 		}
 		keywordFileReader.close();
 		System.out.println("Number of keywords lines: " + keywordLines.size());
-		monitor.monitorSetTask("Querying keywords...");
+		monitor.setTask("Querying keywords...");
 		
 		int nkeyword = 0;
 		for (String line : keywordLines) {
@@ -222,7 +222,7 @@
 				keywordEndPositions.put(split[1], result.getEnds());
 				keywordsMaxCountsLexicon.put(split[1], new int[textBoundaries.length]);
 				idxLexicon.put(split[1], idx_lexicon_counter++);
-				monitor.monitorSetWorked(1);
+				monitor.worked(1);
 			}
 		}
 		keywordFileReader.close();
@@ -237,7 +237,7 @@
 		queriesFileReader.close();
 		
 		System.out.println("Number of lemma lines: " + lines.size());
-		monitor.monitorSetTask("Querying...");
+		monitor.setTask("Querying...");
 		
 		int nquery = 0;
 		for (String line : lines) {
@@ -309,10 +309,10 @@
 					}
 				}
 			}
-			monitor.monitorSetWorked(1);
+			monitor.worked(1);
 		}
 		
-		monitor.monitorSetTask("Finalizing doc_word_freq_2.txt file...");
+		monitor.setTask("Finalizing doc_word_freq_2.txt file...");
 		for (String key : keywordsMaxCountsLexicon.keySet()) {
 			int[] keyMaxValues = keywordsMaxCountsLexicon.get(key);
 			for (int noText = 0; noText < textBoundaries.length; noText++) {
@@ -326,7 +326,7 @@
 		queriesFileReader.close();
 		writer.close();
 		
-		monitor.monitorSetTask("Writing lexicon file...");
+		monitor.setTask("Writing lexicon file...");
 		writer = new PrintWriter(new BufferedWriter(new OutputStreamWriter(new FileOutputStream(lexiconFile), "UTF-8")));
 		for (String query : idxLexicon.keySet()) {
 			String name = keywordQueriestoName.get(query);
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 2630)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 2631)
@@ -210,7 +210,7 @@
 	 */
 	protected boolean renderChart(TXMProgressMonitor monitor) throws Exception {
 		
-		monitor.monitorSetTask("Rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "...");
+		monitor.setTask("Rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "...");
 		
 		Log.finest("*** ChartResult.renderChart(): rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "..."); //$NON-NLS-1$
 		
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2630)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2631)
@@ -153,7 +153,7 @@
 		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.userName, this.getParent()));
 		long start = System.currentTimeMillis();
 		
-		monitor.monitorSetTask("Building parts...");
+		monitor.setTask("Building parts...");
 		
 		for (int i = 0; i < pQueries.size(); i++) {
 			String queryS = pQueries.get(i);
Index: tmp/org.txm.core/src/java/org/txm/utils/TXMProgressMonitor.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/utils/TXMProgressMonitor.java	(revision 2630)
+++ tmp/org.txm.core/src/java/org/txm/utils/TXMProgressMonitor.java	(revision 2631)
@@ -2,7 +2,6 @@
 
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.SubMonitor;
-import org.eclipse.osgi.util.NLS;
 import org.txm.utils.logger.Log;
 
 /**
@@ -10,6 +9,7 @@
  * Wrapper for a {@link SubMonitor} instance dedicated to computing tasks.
  * The wrapper permits to protect the main root task.
  * 
+ * @author mdecorde
  * @author sjacquot
  *
  */
@@ -46,7 +46,7 @@
 	 * 
 	 * @param value
 	 */
-	public void monitorSetCanceled(boolean value) {
+	public void setCanceled(boolean value) {
 		// Log.info(NLS.bind("Canceling computing of {0} ({1})...", this.getName(), this.getClass().getSimpleName()));
 		this.monitor.setCanceled(value);
 	}
@@ -56,7 +56,7 @@
 	 * 
 	 * @param name
 	 */
-	public void monitorSetTask(String name) {
+	public void setTask(String name) {
 		this.monitor.subTask(name);
 		Log.fine(name);
 	}
@@ -66,7 +66,7 @@
 	 *
 	 * @param amount of work
 	 */
-	public void monitorSetWorked(int amount) {
+	public void worked(int amount) {
 		this.monitor.worked(amount);
 	}
 	
@@ -76,14 +76,14 @@
 	 *
 	 * @return true if the monitor has been canceled by the user
 	 */
-	public boolean monitorIsCanceled() {
+	public boolean isCanceled() {
 		return this.monitor.isCanceled();
 	}
 	
 	/**
 	 * Sets the monitor state as done.
 	 */
-	public void monitorDone() {
+	public void done() {
 		this.monitor.done();
 	}
 	
@@ -92,7 +92,7 @@
 	 * 
 	 * @param workRemaining number of ticks
 	 */
-	public void monitorSetWorkRemaining(int workRemaining) {
+	public void setWorkRemaining(int workRemaining) {
 		this.monitor.setWorkRemaining(workRemaining);
 	}
 	
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2630)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2631)
@@ -212,14 +212,14 @@
 			try {
 				
 				TXMProgressMonitor subMonitor = new TXMProgressMonitor(monitor);
-				subMonitor.monitorSetTask("Openning project");
+				subMonitor.setTask("Openning project");
 				
 				
 				rcpProject.open(monitor);
 				
 				initRCPStuffs(subMonitor);
 				
-				subMonitor.monitorSetTask("loading results");
+				subMonitor.setTask("loading results");
 				
 				this.loadResults(null);
 				
@@ -236,7 +236,7 @@
 					}
 				}
 				
-				subMonitor.monitorSetTask("");
+				subMonitor.setTask("");
 			}
 			catch (CoreException e) {
 				e.printStackTrace();
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2630)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2631)
@@ -329,32 +329,32 @@
 			this.structurePositions = new int[0];
 			this.structureNames = new String[0];
 			
-			monitor.monitorSetTask("Processing queries...");
+			monitor.setTask("Processing queries...");
 			if (!this.stepQueries(monitor)) {
 				return true;
 			}
 			
-			if (monitor.monitorIsCanceled()) {
+			if (monitor.isCanceled()) {
 				return false;
 			}
-			monitor.monitorSetWorked(10);
+			monitor.worked(10);
 		}
 		
 		// Structural units
-		monitor.monitorSetTask("Processing structural units...");
+		monitor.setTask("Processing structural units...");
 		if (!this.stepStructuralUnits(monitor)) {
 			return false;
 		}
-		monitor.monitorSetWorked(20);
+		monitor.worked(20);
 		
 		
 		// Finalization steps
 		if (this.hasParameterChanged(ProgressionPreferences.QUERIES)) {
-			monitor.monitorSetTask("Finalizing...");
+			monitor.setTask("Finalizing...");
 			if (!stepFinalize()) {
 				return false;
 			}
-			monitor.monitorSetWorked(20);
+			monitor.worked(20);
 		}
 		
 		return true;
@@ -472,7 +472,7 @@
 			for (Match m : matches) {
 				positions[i++] = m.getStart();
 				npositions++;
-				monitor.monitorSetWorked(1);
+				monitor.worked(1);
 			}
 		}
 		return npositions > 0;
@@ -557,7 +557,7 @@
 				
 				i++;
 				
-				monitor.monitorSetWorked(1);
+				monitor.worked(1);
 			}
 			this.bande = distmin * this.bandeMultiplier;
 		}
